[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.DecLCLRefCount

Decrements the reference counter for the LCL component.

## Declaration

Source position: lclclasses.pp line 60

`public procedure TLCLComponent.DecLCLRefCount;`

## Description

When the internal counter reaches 0, the FreeComponent method in the application is called to free resources allocated for the LCL component.

## Version info

Modified in LCL version 3.0 to signal the OnDecLCLRefcountToZero event in lclclasses.pas when the counter reaches 0.

## See also

TLCLComponent.LCLRefCount |  | The number of references to this component.
TLCLComponent.IncLCLRefCount |  | The number of references to this component.
TLCLComponent.LCLRefCount |  | The number of references to this component.